## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
# Remove wasm-bindgen feature
%bcond_without check
%global debug_package %{nil}

%global crate rodio

Name:           rust-%{crate}
Version:        0.14.0
Release:        %autorelease
Summary:        Audio playback library

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/rodio
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Audio playback library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+claxon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+claxon-devel %{_description}

This package contains library source intended for building other packages
which use "claxon" feature of "%{crate}" crate.

%files       -n %{name}+claxon-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+flac-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flac-devel %{_description}

This package contains library source intended for building other packages
which use "flac" feature of "%{crate}" crate.

%files       -n %{name}+flac-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hound-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hound-devel %{_description}

This package contains library source intended for building other packages
which use "hound" feature of "%{crate}" crate.

%files       -n %{name}+hound-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lewton-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lewton-devel %{_description}

This package contains library source intended for building other packages
which use "lewton" feature of "%{crate}" crate.

%files       -n %{name}+lewton-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+minimp3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+minimp3-devel %{_description}

This package contains library source intended for building other packages
which use "minimp3" feature of "%{crate}" crate.

%files       -n %{name}+minimp3-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+mp3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mp3-devel %{_description}

This package contains library source intended for building other packages
which use "mp3" feature of "%{crate}" crate.

%files       -n %{name}+mp3-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+vorbis-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vorbis-devel %{_description}

This package contains library source intended for building other packages
which use "vorbis" feature of "%{crate}" crate.

%files       -n %{name}+vorbis-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wav-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wav-devel %{_description}

This package contains library source intended for building other packages
which use "wav" feature of "%{crate}" crate.

%files       -n %{name}+wav-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.14.0-2
- Remove wasm-bindgen feature
- Fixes RHBZ#1980449

* Thu Jun 24 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.14.0-1
- Initial package

